Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.aspects.server
Class SignOutInterceptor.Invalidation

    java.lang.Object
      org.jboss.portal.server.aspects.server.SignOutInterceptor.Invalidation

All Implemented Interfaces:
  RequestDispatchCallback

Enclosing class:
  SignOutInterceptor

    public static class SignOutInterceptor.Invalidation

extends java.lang.Object
implements RequestDispatchCallback

Constructor Summary
`SignOutInterceptor.Invalidation()`

Method Summary
`java.lang.Object` | `doCallback(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, java.lang.Object handback)` Performs the request dispatch logic.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignOutInterceptor.Invalidation

    public SignOutInterceptor.Invalidation()

Method Detail

### doCallback

    public java.lang.Object doCallback(javax.servlet.ServletContext servletContext,
                                       javax.servlet.http.HttpServletRequest req,
                                       javax.servlet.http.HttpServletResponse resp,
                                       java.lang.Object handback)
                                throws javax.servlet.ServletException,
                                       java.io.IOException

  Description copied from interface: `RequestDispatchCallback`
  Performs the request dispatch logic.

  Specified by:
    `doCallback` in interface `RequestDispatchCallback`
  Parameters:
    `servletContext` - the dispatched servlet context
    `req` - the dispatched request
    `resp` - the dispatched response
    `handback` - the handback object provided to the dispatched @return any object
  Throws:
    `javax.servlet.ServletException` - if an exception occurs that interferes with the normal operation
    `java.io.IOException` - if an input or output exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD